%global pypi_name python-jose
%global module_name jose
%global commitId e5fcca27712c0ebdeb55d3c3cdad1c6e0f708ac3

%if 0%{?rhel} == 8
%global component_prefix 3x
%endif

Name:           python%{?component_prefix}-%{module_name}
Version:        3.3.0
Release:        1%{?dist}
Summary:        A JOSE implementation in Python

License:        MIT
URL:            https://github.com/mpdavis/python-jose
Source0:        python-jose-e5fcca27712c0ebdeb55d3c3cdad1c6e0f708ac3.tar.gz
Patch0:         remove_pytest_runner_dependency.patch
BuildArch:      noarch

BuildRequires:  python%{python3_pkgversion}-devel
BuildRequires:  python%{python3_pkgversion}-setuptools >= 39.2.0
BuildRequires:  python%{python3_pkgversion}-rpm-macros

%description
The JavaScript Object Signing and Encryption (JOSE) technologies - JSON Web
Signature (JWS), JSON Web Encryption (JWE), JSON Web Key (JWK), and JSON Web
Algorithms (JWA) - collectively can be used to encrypt and/or sign content
using a variety of algorithms. While the full set of permutations is extremely
large, and might be daunting to some, it is expected that most applications
will only use a small set of algorithms to meet their needs.

%package -n     python%{python3_pkgversion}-%{module_name}
Summary:        %{summary}
%{?python_provide:%python_provide python%{python3_pkgversion}-%{module_name}}

Requires:       python%{python3_pkgversion}-ecdsa
Requires:       python%{python3_pkgversion}-pyasn1
Requires:       python%{python3_pkgversion}-rsa

%description -n     python%{python3_pkgversion}-%{module_name}
The JavaScript Object Signing and Encryption (JOSE) technologies - JSON Web
Signature (JWS), JSON Web Encryption (JWE), JSON Web Key (JWK), and JSON Web
Algorithms (JWA) - collectively can be used to encrypt and/or sign content
using a variety of algorithms. While the full set of permutations is extremely
large, and might be daunting to some, it is expected that most applications
will only use a small set of algorithms to meet their needs.


%prep
%autosetup -n python-%{module_name}-%{commitId}

%build
%py3_build

%install
%py3_install

%files -n     python%{python3_pkgversion}-%{module_name}
%doc README.rst
%license LICENSE
%{python3_sitelib}/%{module_name}/
%{python3_sitelib}/python_%{module_name}-%{version}-py%{python3_version}.egg-info/

%changelog
* Fri Mar 4 2022 James Marshall <jamarsha@redhat.com> - 3.3.0-1
- Initial commit.
